PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

c

net.psforever.objects.serverobject.environment

# GantryDenialField

###

#### final case class GantryDenialField(obbasemesh: PlanetSideGUID, mountPoint: Int, collision: EnvironmentCollision) extends PieceOfEnvironment with Product with Serializable

Source
  PieceOfEnvironment.scala

Linear Supertypes
Serializable, Product, Equals, PieceOfEnvironment, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GantryDenialField
2. Serializable
3. Product
4. Equals
5. PieceOfEnvironment
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new GantryDenialField(obbasemesh: PlanetSideGUID, mountPoint: Int, collision: EnvironmentCollision)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def attribute: EnvironmentAttribute.GantryDenialField

   a general description of this environment

   a general description of this environment

   Definition Classes
     GantryDenialField → PieceOfEnvironment
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  val collision: EnvironmentCollision

   a special representation of the region that qualifies as "this environment"

   a special representation of the region that qualifies as "this environment"

   Definition Classes
     GantryDenialField → PieceOfEnvironment
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val mountPoint: Int
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  val obbasemesh: PlanetSideGUID
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def testInteraction(pos: Vector3, varDepth: Float): Boolean

    Is the test point "within" the bounds of the represented environment?

    Is the test point "within" the bounds of the represented environment?

    pos

      the test point

    varDepth

      how far "into" the environment the point must be

    returns

      `true`, if the point is sufficiently "deep"; `false`, otherwise

    Definition Classes
      PieceOfEnvironment
20.  def testStepIntoInteraction(pos: Vector3, previousPos: Vector3, varDepth: Float): Option[Boolean]

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    pos

      the test point

    previousPos

      the previous test point which is being compared against

    varDepth

      how far "into" the environment the point must be

    returns

      `Some(true)`, if the point has become sufficiently "deep"; `Some(false)`, if the point has left the sufficiently "deep" region; `None`, otherwise

    Definition Classes
      PieceOfEnvironment
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PieceOfEnvironment

### Inherited from AnyRef

### Inherited from Any

### Ungrouped